Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class EventAdapter

    java.lang.Object
      com.enterprisedt.net.ftp.EventAdapter

All Implemented Interfaces:
  EventListener

    public class EventAdapter

extends java.lang.Object
implements EventListener

An adapter class that implements dummy methods of the EventListener interface. Useful for quickly implementing a single method of EventListener.

Version:
  $Revision: 1.1 $
Author:
  Bruce Blackshaw

Constructor Summary
`EventAdapter()`

Method Summary
`void` | `bytesTransferred(long count)` Report the number of bytes transferred so far.
`void` | `commandSent(java.lang.String cmd)` Log an FTP command being sent to the server.
`void` | `downloadCompleted(java.lang.String remoteFilename)` Notifies that a download has completed
`void` | `downloadStarted(java.lang.String remoteFilename)` Notifies that a download has started
`void` | `replyReceived(java.lang.String reply)` Log an FTP reply being sent back to the client.
`void` | `uploadCompleted(java.lang.String remoteFilename)` Notifies that an upload has completed
`void` | `uploadStarted(java.lang.String remoteFilename)` Notifies that an upload has started

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventAdapter

    public EventAdapter()

Method Detail

### commandSent

    public void commandSent(java.lang.String cmd)

  Log an FTP command being sent to the server. Not used for SFTP.

  Specified by:
    `commandSent` in interface `EventListener`
  Parameters:
    `cmd` - command string

### replyReceived

    public void replyReceived(java.lang.String reply)

  Log an FTP reply being sent back to the client. Not used for SFTP.

  Specified by:
    `replyReceived` in interface `EventListener`
  Parameters:
    `reply` - reply string

### bytesTransferred

    public void bytesTransferred(long count)

  Report the number of bytes transferred so far. This may not be entirely accurate for transferring text files in ASCII mode, as new line representations can be represented differently on different platforms.

  Specified by:
    `bytesTransferred` in interface `EventListener`
  Parameters:
    `count` - count of bytes transferred

### downloadStarted

    public void downloadStarted(java.lang.String remoteFilename)

  Notifies that a download has started

  Specified by:
    `downloadStarted` in interface `EventListener`
  Parameters:
    `remoteFilename` - remote file name

### downloadCompleted

    public void downloadCompleted(java.lang.String remoteFilename)

  Notifies that a download has completed

  Specified by:
    `downloadCompleted` in interface `EventListener`
  Parameters:
    `remoteFilename` - remote file name

### uploadStarted

    public void uploadStarted(java.lang.String remoteFilename)

  Notifies that an upload has started

  Specified by:
    `uploadStarted` in interface `EventListener`
  Parameters:
    `remoteFilename` - remote file name

### uploadCompleted

    public void uploadCompleted(java.lang.String remoteFilename)

  Notifies that an upload has completed

  Specified by:
    `uploadCompleted` in interface `EventListener`
  Parameters:
    `remoteFilename` - remote file name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.